# djvulibre-python 0.9.3 documentation

## Exceptions

## Common exceptions

exception djvu.decode.NotAvailable

  A resource not (yet) available.

exception djvu.sexpr.ExpressionSyntaxError

  Syntax error while parsing an S-expression.

exception djvu.sexpr.InvalidExpression

  Invalid S-expression.

## Job status

exception djvu.decode.JobException

  Status of a job. Possibly, but not necessarily, exceptional.

  Inheritance diagram:

exception djvu.decode.JobNotDone

  Operation is not yet done.

exception djvu.decode.JobNotStarted

  Operation was not even started.

exception djvu.decode.JobStarted

  Operation is in progress.

exception djvu.decode.JobDone

  Operation finished.

exception djvu.decode.JobOK

  Operation finished successfully.

exception djvu.decode.JobFailed

  Operation failed because of an error.

exception djvu.decode.JobStopped

  Operation was interrupted by user.